#include <bits/stdc++.h>

#define endl '\n'

using namespace std;

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n; cin >> n;

    if (n <= 1) {
        cout << -1 << endl;
        return 0;
    }

    if (n % 2 == 0) {
        cout << string(n / 2, '1') << endl;
        return 0;
    }

    cout << "7" + string(n / 2 - 1, '1') << endl;

    return 0;
}
